# ProcessHub-WebApp module

This module represents a web application that provides some features to support BPM (Business Process Management) for processes represented in the BPMN. The main features provided by this module include:

* **Organization Management**: Allows to manage the Organizations
* **Project Management**: Allows to manage the Organizations' Projects
* **Process Management**: Allows to management the Organizations' Processes
* **Planning Building**: Allows to build a Plan of Work for a Project using the Organization's Processes

##  Module Repository

The module is hosted in a private repository and can be reached (only by authorized users) at the URL **https://github.com/utelemaco/processhub-webapp**. As this is a private repository, the module does not provide a public documentation and the source code is not available for downloading.

## Module Architecture

The module was developed in an architectural style known as _Simple Page Application_. For simplicity purpose, a SPA can be organized in two main layers: Client-side and Server-side. While the client-side corresponds to the part of the application that runs inside the end users machine (web browser) the serve-side runs in an application server and offers a REST API to the client-side. The technologies used in this module include: Spring Boot, Maven, AngularJS, Bower, Grunt, Bootstrap and others.

## Classes Diagram

The Figure 23 represents the Classes Diagram. The colors are used to represent each area inside this application:

* Orange classes are related to Process Management
* Yellow classes are related to Organization Management
* Green classes are related to Project Management
* Blue classes are related to Plan Building

