# Technical Details

In this section we describe some technical aspects of the work.

## Modules

The implementation was organized in two modules:

* **processhub-bpmn-manipulation**: this module provides an API to BPMN manipulation (Processes Composition and Processes Tailoring).
* **processhub-webapp**: this module implements a web application that explores several aspects related to Business Process Management.

We will describe this modules in more details in sections 5 and 6.

## Requirement Documentation

We invested a significant effort in requirement documentation. All the features developed had at least a brief description. The more complex features required a more detailed documentation (described in Use Cases). We also produced some UML artifacts. In summary, we produced the following artifacts:

* **Feature Descriptions** (a brief description for simple features)
* **Use Case Descrition** (a more detailed descrition for complex features)
* **Classes Diagram**
* **Use Cases Diagram**

These documents were hosted in the project wiki repository.

## Supporting Tools and Services

The main tools and services used during this work are described below:

* Redmine: we used several features of this tools including:
   * Task manager
   * Bug tracker
   * Wiki (for requirement documentation)
* Eclipse: IDE for source code development
* Github: repository for source code
* Lucid Chart: web application to development UML diagrams 
* Camunda Modeler: a BPMN editor used to produce some BPMN models